ru.yandex.clickhouse.settings

## Enum ClickHouseQueryParam

- java.lang.Object
- - java.lang.Enum<ClickHouseQueryParam>
  - - ru.yandex.clickhouse.settings.ClickHouseQueryParam

All Implemented Interfaces:
  Serializable, Comparable<ClickHouseQueryParam>, DriverPropertyCreator

    public enum ClickHouseQueryParam
    extends Enum<ClickHouseQueryParam>
    implements DriverPropertyCreator

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMPRESS`
`DATABASE`
`DECOMPRESS`
`DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT`
`EXTREMES` https://clickhouse.yandex/reference_en.html#Extreme values
`HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS`
`MAX_BLOCK_SIZE` https://clickhouse.yandex/reference_en.html#max_block_size
`MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY`
`MAX_BYTES_BEFORE_EXTERNAL_SORT`
`MAX_EXECUTION_TIME` https://clickhouse.yandex/reference_en.html#max_execution_time
`MAX_PARALLEL_REPLICAS`
`MAX_RESULT_ROWS`
`MAX_ROWS_TO_GROUP_BY` https://clickhouse.yandex/reference_en.html#max_rows_to_group_by
`MAX_THREADS` https://clickhouse.yandex/reference_en.html#max_threads
`PASSWORD`
`PRIORITY`
`PROFILE` https://clickhouse.yandex/reference_en.html#Settings profiles
`QUOTA_KEY`
`RESULT_OVERFLOW_MODE`
`TOTALS_MODE` https://clickhouse.yandex/reference_en.html#WITH TOTALS modifier
`USER`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DriverPropertyInfo` `createDriverPropertyInfo(Properties properties)`
`Class` `getClazz()`
`Object` `getDefaultValue()`
`String` `getDescription()`
`String` `getKey()`
`String` `toString()`
`static ClickHouseQueryParam` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ClickHouseQueryParam[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MAX_PARALLEL_REPLICAS

    public static final ClickHouseQueryParam MAX_PARALLEL_REPLICAS

#### TOTALS_MODE

    public static final ClickHouseQueryParam TOTALS_MODE

https://clickhouse.yandex/reference_en.html#WITH TOTALS modifier

#### QUOTA_KEY

    public static final ClickHouseQueryParam QUOTA_KEY

#### PRIORITY

    public static final ClickHouseQueryParam PRIORITY

#### DATABASE

    public static final ClickHouseQueryParam DATABASE

#### COMPRESS

    public static final ClickHouseQueryParam COMPRESS

#### DECOMPRESS

    public static final ClickHouseQueryParam DECOMPRESS

#### EXTREMES

    public static final ClickHouseQueryParam EXTREMES

https://clickhouse.yandex/reference_en.html#Extreme values

#### MAX_THREADS

    public static final ClickHouseQueryParam MAX_THREADS

https://clickhouse.yandex/reference_en.html#max_threads

#### MAX_EXECUTION_TIME

    public static final ClickHouseQueryParam MAX_EXECUTION_TIME

https://clickhouse.yandex/reference_en.html#max_execution_time

#### MAX_BLOCK_SIZE

    public static final ClickHouseQueryParam MAX_BLOCK_SIZE

https://clickhouse.yandex/reference_en.html#max_block_size

#### MAX_ROWS_TO_GROUP_BY

    public static final ClickHouseQueryParam MAX_ROWS_TO_GROUP_BY

https://clickhouse.yandex/reference_en.html#max_rows_to_group_by

#### PROFILE

    public static final ClickHouseQueryParam PROFILE

https://clickhouse.yandex/reference_en.html#Settings profiles

#### USER

    public static final ClickHouseQueryParam USER

#### PASSWORD

    public static final ClickHouseQueryParam PASSWORD

#### MAX_RESULT_ROWS

    public static final ClickHouseQueryParam MAX_RESULT_ROWS

#### RESULT_OVERFLOW_MODE

    public static final ClickHouseQueryParam RESULT_OVERFLOW_MODE

#### DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT

    public static final ClickHouseQueryParam DISTRIBUTED_AGGREGATION_MEMORY_EFFICIENT

#### MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY

    public static final ClickHouseQueryParam MAX_BYTES_BEFORE_EXTERNAL_GROUP_BY

#### MAX_BYTES_BEFORE_EXTERNAL_SORT

    public static final ClickHouseQueryParam MAX_BYTES_BEFORE_EXTERNAL_SORT

#### HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS

    public static final ClickHouseQueryParam HTTP_NATIVE_COMPRESSION_DISABLE_CHECKSUMMING_ON_DECOMPRESS

### Method Detail

#### values

    public static ClickHouseQueryParam[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ClickHouseQueryParam c : ClickHouseQueryParam.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ClickHouseQueryParam valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getKey

    public String getKey()

#### getDefaultValue

    public Object getDefaultValue()

#### getClazz

    public Class getClazz()

#### getDescription

    public String getDescription()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<ClickHouseQueryParam>`

#### createDriverPropertyInfo

    public DriverPropertyInfo createDriverPropertyInfo(Properties properties)

Specified by:
  `createDriverPropertyInfo` in interface `DriverPropertyCreator`